package com.cloudcross.ssp.service;


import java.util.List;

import com.cloudcross.ssp.model.Resources;
import com.cloudcross.ssp.base.service.BaseService;

public interface IResourcesService extends BaseService<Resources>{
	//<!-- 根据账号Id获取该用户的权限-->
	public List<Resources> findAccountResourcess(String accountId);
	/**
	 * @author lanyuan
	 * Email：mmm333zzz520@163.com
	 * date：2014-2-25
	 * @return
	 */
	//这个方法主要是为了直接通过账户查询对应的权限，和上面的那个方法的区别在于，这个方法是在res_account表中直接查询相应的
	public boolean addAccountResourcess(Long accountId, List<Long> list);
	public List<Resources> findResourcesByAccount(Long id);
	public List<Resources> findRoleRes(String roleId);
	public boolean deleteResourceByAccount(Long accountId);
	public List<Resources> queryByParentId(Resources resources);
	/**
	 * 更新菜单排序号
	 * @author lanyuan
	 * Email：mmm333zzz520@163.com
	 * date：2014-04-12
	 * @param resourceVOs
	 */
	void updateSortOrder(List<Resources> menus);
	public void addRoleRes(String roleId,List<String> list);

	public Resources isExist(String menuName);
	public  int  getMaxLevel();
}
